#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_NQ5(void)
{
#if (PRO_NQ5)
        SetTelltalePos("MPH",                      MPH);
   if(g_VehicleType == CAR_TYPE_ICV){
       SetTelltalePos("HBAGreen",              HBAGreen);
       if(IsHaveHBA_WHITE()){
          SetTelltalePos("HBAWhite",              HBAWhite);
       }
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("FrontFog",              FrontFog);
       SetTelltalePos("RearFog",                RearFog);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       SetTelltalePos("EPB",                        EPB); 
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("DBC Green",             DBCGreen);
       SetTelltalePos("DBC Yellow",           DBCYellow);
       SetTelltalePos("AFS",                        AFS);
       SetTelltalePos("LedLampFail",        LedLampFail);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       if(IsHaveFcaRed()){
          SetTelltalePos("FcaRed",                  FcaRed);
       }
       SetTelltalePos("ECALL",                    Ecall);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("LPI Only",              LPI_Only);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("4WD Lock",          Four_WD_Lock);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("Glow",                      Glow);
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("SCR",                        SCR);
       SetTelltalePos("Water Saperator", WaterSaperator);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   }
   else{
       SetTelltalePos("HBAGreen",              HBAGreen);
       if(IsHaveHBA_WHITE()){
          SetTelltalePos("HBAWhite",              HBAWhite);
       }
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("FrontFog",              FrontFog);
       SetTelltalePos("RearFog",                RearFog);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       SetTelltalePos("OverSpeed",            OverSpeed);
       SetTelltalePos("EPB",                        EPB); 
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("DBC Green",             DBCGreen);
       SetTelltalePos("DBC Yellow",           DBCYellow);
       SetTelltalePos("AFS",                        AFS);
       SetTelltalePos("LedLampFail",        LedLampFail);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       if(IsHaveFcaRed()){
          SetTelltalePos("FcaRed",                  FcaRed);
       }
       SetTelltalePos("ECALL",                    Ecall);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("EV_MODE",                EV_MODE);
       SetTelltalePos("READY",                    READY);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("4WD Lock",          Four_WD_Lock);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("ServiceLamp",        ServiceLamp);
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("RBS",                        RBS);
       SetTelltalePos("HIGH_TEMP",            HIGH_TEMP);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
   }  
#endif   

}


